What do I need to run Liberty Accounts?

What do I need to run Liberty Accounts?

All you need is the computer that you are using now.

A typically configured computer with an internet connection and a modern W3C standards compliant web browser is all that is required.

To view reports you will need Adobe Acrobat Reader unless your browser has a built in pdf reader e.g: Chrome.

Liberty accounts is designed and developed to comply with the W3C standards for html. It will work with any modern browser on any operating system to the extent that the browser in use supports the W3C standards.

Share this: